Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.4.0/ALGLIB-3.4.0/dataanalysis.cs
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/dataanalysis.cs	(revision 6866)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.4.0/ALGLIB-3.4.0/dataanalysis.cs	(revision 7294)
@@ -14802,5 +17187,5 @@
                         wt[i] = 0;
                     }
-                    minlbfgs.minlbfgscreatex(wcount, wcount, wt, 1, state);
+                    minlbfgs.minlbfgscreatex(wcount, wcount, wt, 1, 0.0, state);
                     minlbfgs.minlbfgssetcond(state, 0, 0, 0, 5);
                     while( minlbfgs.minlbfgsiteration(state) )
@@ -15269,7 +17654,7 @@
                     if( state.xupdated )
                     {
-                        minlbfgs.minlbfgsresults(state, ref w, internalrep);
-                        for (i_ = 0; i_ <= wcount - 1; i_++) {
-                          network.weights[i_] = w[i_];
+                        for(i_=0; i_<=wcount-1;i_++)
+                        {
+                            network.weights[i_] = w[i_];
                         }
                         e = mlpbase.mlperror(network, valxy, valsize);
